<inp2:m_include t="incs/header"/>
<inp2:m_RenderElement name="combined_header" section="in-portal:skins" prefix="skin" title_preset="skin_list" pagination="1"/>

<!-- ToolBar -->
<table class="toolbar" height="30" cellspacing="0" cellpadding="0" width="100%" border="0">
<tbody>
	<tr>
  		<td>
	  		<table width="100%" cellpadding="0" cellspacing="0">
	  			<tr>
	  				<td>
	  					<script type="text/javascript">
								a_toolbar = new ToolBar();

								a_toolbar.AddButton( new ToolBarButton('new_item', '<inp2:m_phrase label="la_Add" escape="1"/>',
										function() {
											std_precreate_item('skin', 'skins/skin_edit')
										}
									)
								);

								function edit()
								{
								  	std_edit_item('skin', 'skins/skin_edit');
								}

								a_toolbar.AddButton( new ToolBarButton('edit', '<inp2:m_phrase label="la_ToolTip_Edit" escape="1"/>::<inp2:m_phrase label="la_ShortToolTip_Edit" escape="1"/>', edit) );


								a_toolbar.AddButton( new ToolBarButton('delete', '<inp2:m_phrase label="la_ToolTip_Delete" escape="1"/>',
										function() {
											std_delete_items('skin');
										} ) );


					  		a_toolbar.AddButton( new ToolBarSeparator('sep1') );

								a_toolbar.AddButton( new ToolBarButton('setprimary', '<inp2:m_phrase label="la_ToolTip_SetPrimary" escape="1"/>::<inp2:m_phrase label="la_ShortToolTip_SetPrimary" escape="1"/>', function() {
											submit_event('skin','OnSetPrimary');
										}
   							) );

   							a_toolbar.AddButton( new ToolBarButton('clone', '<inp2:m_phrase label="la_ToolTip_Clone" escape="1"/>::<inp2:m_phrase label="la_ShortToolTip_Clone" escape="1"/>', function() {
											submit_event('skin','OnMassClone');
										}
   							) );

				 				a_toolbar.AddButton( new ToolBarSeparator('sep2') );

								a_toolbar.AddButton( new ToolBarButton('view', '<inp2:m_phrase label="la_ToolTip_View" escape="1"/>', function(id) {
											show_viewmenu(a_toolbar,'view');
										}
								) );

								a_toolbar.Render();
							</script>
	  				</td>

	  				<inp2:m_RenderElement name="search_main_toolbar" prefix="skin" grid="Default"/>
	  			</tr>
	  		</table>
		</td>
	</tr>
</tbody>
</table>

<inp2:m_RenderElement name="grid" PrefixSpecial="skin" IdField="SkinId" grid="Default"/>
<script type="text/javascript">
	Grids['skin'].SetDependantToolbarButtons( new Array('edit', 'delete', 'setprimary', 'clone') );
</script>

<inp2:m_include t="incs/footer"/>